# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 1
%global srcname log-symbols

Name:           nodejs-%{srcname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Colored symbols for various log levels
License:        MIT
URL:            https://github.com/sindresorhus/log-symbols
Source0:        https://github.com/sindresorhus/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif


%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{version}
rm -rf node_modules/
%nodejs_fixdep chalk ^0.x


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif


%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}


%changelog
* Wed Dec 31 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.0.1-1
- Initial package
